Bug 684671 - (CVE-2011-1160) CVE-2011-1160 kernel: tpm infoleaks
CVE-2011-1160 kernel: tpm infoleaks
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110308,reported=20110314,sou...
: Security
Depends On: 684672 684673 684674 684675 684676 748694
Blocks: 732619
  Show dependency treegraph
 
Reported: 2011-03-14 04:17 EDT by Eugene Teo (Security Response)
Modified: 2015-08-19 05:08 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 09:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-03-14 04:17:20 EDT
[PATCH 1/3] char/tpm: Fix uninitialized usage of data buffer
http://tpmdd.git.sourceforge.net/git/gitweb.cgi?p=tpmdd/tpmdd;a=commitdiff;h=459e0537ebb7b786cd29a26f4e41c721632cd840
infoleak

[PATCH 2/3] char/tpm: Call tpm_transmit with correct size
http://tpmdd.git.sourceforge.net/git/gitweb.cgi?p=tpmdd/tpmdd;a=commitdiff;h=f0bbed1ee49a4779dfb32159fea669ced8789336
infoleak

[PATCH 3/3] char/tpm: zero buffer after copying to userspace
http://tpmdd.git.sourceforge.net/git/gitweb.cgi?p=tpmdd/tpmdd;a=commitdiff;h=44480e4077cd782aa8f54eb472b292547f030520
prevents storing of previous result, leakage to other drivers

Acknowledgements:

Red Hat would like to thank Peter Huewe for reporting this issue.
Comment 3 Vincent Danen 2011-03-15 17:06:47 EDT
As per:

http://openwall.com/lists/oss-security/2011/03/15/13

> [PATCH 1/3] char/tpm: Fix uninitialized usage of data buffer

CVE-2011-1160

> [PATCH 2/3] char/tpm: Call tpm_transmit with correct size

CVE-2011-1161

> [PATCH 3/3] char/tpm: zero buffer after copying to userspace

CVE-2011-1162
Comment 9 Eugene Teo (Security Response) 2011-08-23 02:30:34 EDT
I'm moving CVE-2011-1161/1162 into a separate bug as there is no official fix in the upstream kernel yet. See bug 732629.
Comment 10 errata-xmlrpc 2011-09-12 15:45:01 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html
Comment 11 Eugene Teo (Security Response) 2011-09-16 02:36:04 EDT
Upstream commit:
https://github.com/torvalds/linux/commit/1309d7afbed112f0e8e90be9af975550caa0076b
Comment 12 errata-xmlrpc 2011-10-05 17:47:43 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html
Comment 14 errata-xmlrpc 2011-10-20 13:28:42 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html
Comment 15 Eugene Teo (Security Response) 2011-10-25 00:09:44 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 748694]

Note You need to log in before you can comment on or make changes to this bug.